getNatGatewayInstanceList

Prev Next

Available in VPC

Get the list of NAT Gateway instances based on the conditions the user specifies.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getNatGatewayInstanceList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the network ACL instance list
zoneCode String Optional Zone code where you want to query the NAT Gateway instance list
natGatewayInstanceNoList.N List[String] Optional Query with the NAT Gateway instance number.
  • natGatewayInstanceNo can be obtained through getNatGatewayInstanceList.
  • Example: natGatewayInstanceNoList.1=1234&natGatewayInstanceNoList.2=2345
publicIp String Optional Query with the public IP address assigned to the NAT Gateway.
vpcName String Optional Query with the VPC name.
natGatewayName String Optional Query with the NAT Gateway name.
natGatewayInstanceStatusCode String Optional Query with the NAT Gateway instance status code.
  • INIT | RUN | SET | TERMTING
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize.
pageSize Integer Conditional Size of each page to display when paging
  • Required when entering pageNo
  • Page the result values using pageNo and pageSize.
output String Optional Format of the response result
  • xml | json (default)
subnetName String Optional Query with the subnet name.
privateIp String Optional Query with the private IP address.
natGatewayTypeCode CommonCode Optional Query with the NAT Gateway type.
  • PRVT | PBLIP
    • PRVT: private NAT Gateway
    • PBLIP: public NAT Gateway
subnetNo String Optional Query with the subnet number.

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNatGatewayInstanceList
?regionCode=KR
&zoneCode=KR-1
&natGatewayInstanceNoList.1=***9734
&publicIp=***.***.109.101
&vpcName=test-vpc
&natGatewayName=test-***
&natGatewayInstanceStatusCode=RUN
&natGatewayTypeCode=PBLIP' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NatGatewayInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getNatGatewayInstanceListResponse>
  <requestId>09b86d75-4a0b-4148-ab7f-5412d15bcb22</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <natGatewayInstanceList>
    <natGatewayInstance>
      <vpcNo>***36</vpcNo>
      <vpcName>normal-***</vpcName>
      <natGatewayInstanceNo>*****9288</natGatewayInstanceNo>
      <natGatewayName>public-***</natGatewayName>
      <publicIp>***.***.153.178</publicIp>
      <natGatewayInstanceStatus>
        <code>RUN</code>
        <codeName>RUN status</codeName>
      </natGatewayInstanceStatus>
      <natGatewayInstanceStatusName>Running</natGatewayInstanceStatusName>
      <natGatewayInstanceOperation>
        <code>NULL</code>
        <codeName>NULL OP</codeName>
      </natGatewayInstanceOperation>
      <createDate>2025-04-25T14:19:32+0900</createDate>
      <natGatewayDescription>description</natGatewayDescription>
      <zoneCode>KR-1</zoneCode>
      <natGatewayType>
        <code>PBLIP</code>
        <codeName>Public</codeName>
      </natGatewayType>
      <subnetName>public-***</subnetName>
      <subnetNo>***29</subnetNo>
      <privateIp>10.0.1.6</privateIp>
      <publicIpInstanceNo>****290</publicIpInstanceNo>
      <natGatewayIpList>
        <natGatewayIp>
          <type>PRIMARY</type>
          <privateIp>10.0.1.6</privateIp>
          <publicIp>***.***.153.178</publicIp>
          <publicIpInstanceNo>****290</publicIpInstanceNo>
        </natGatewayIp>
        <natGatewayIp>
          <type>SECONDARY</type>
          <privateIp>10.0.1.7</privateIp>
          <publicIp>***.***.109.24</publicIp>
          <publicIpInstanceNo>****805</publicIpInstanceNo>
        </natGatewayIp>
      </natGatewayIpList>
    </natGatewayInstance>
  </natGatewayInstanceList>
</getNatGatewayInstanceListResponse>